<?php 
/**
 * Plugin Name: Bee Liked DBIP (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/BeeLikedDBIP
 * Description: Use DB-IP geolocation API to lookup for accurate visitor location.
 * Author: BeeLiked
 * Author URI: http://beeliked.com/plugins/piwik/db-ip
 * Version: 2.0.3
 */
?><?php
namespace Piwik\Plugins\BeeLikedDBIP;

use Piwik\Common;
use Piwik\Db;
#use Piwik\Plugins\SitesManager\API as APISitesManager;
use Piwik\Plugins\UserCountry\LocationProvider;
#use Piwik\Plugins\BeeLikedDBIP\API as DBIPAPI;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class BeeLikedDBIP extends \Piwik\Plugin
{
	/**
     * @see Piwik\Plugin::registerEvents
     */
    public function registerEvents()
    {
        return array(
            'Tracker.setTrackerCacheGeneral' => 'setTrackerCacheGeneral',
        );
    }

	public function setTrackerCacheGeneral(&$cache)
    {
        $cache['currentLocationProviderId'] = LocationProvider::getCurrentProviderId();
    }
}
